:root {
  --bg: #075d79;
  --panel: #f8f3e2;
  --text: #1f2937;
  --muted: #6b7280;
  --accent: #337;
  --accent-dark: #007;
  --accent-red: #a40a0a;
  --accent-dark-red: #790707;
  --line: #c4c6ca;

  --manicule: url("data:image/svg+xml;charset=UTF-8,<svg id='U261E' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1220 1000'><path transform='translate(0, 900) scale(1,-1)' d='M628-24L628-24Q573-24 512-13.50Q451-3 393 19.50Q335 42 289 76L289 76L216 76Q162 133 162 283L162 283Q162 321 169 358.50Q176 396 188 427Q200 458 215 475L215 475Q217 476 227.50 475Q238 474 250.50 473.50Q263 473 271 473L271 473Q289 473 301.50 475.50Q314 478 331 488Q348 498 376 520L376 520Q423 557 458 571Q493 585 538 585L538 585Q641 585 705 559L705 559Q738 546 763.50 538Q789 530 802 526L802 526Q820 522 834 511L834 511Q856 510 877.50 508Q899 506 921 504L921 504Q956 500 995.50 495.50Q1035 491 1066 487L1066 487Q1128 480 1155.50 461Q1183 442 1183 406L1183 406Q1183 337 1085 337L1085 337Q1068 337 1036.50 338.50Q1005 340 973 340L973 340Q949 340 926 339Q903 338 881 336L881 336Q897 313 897 278L897 278Q897 233 854 214L854 214Q840 208 840 199L840 199Q840 191 845 179.50Q850 168 850 154L850 154Q850 102 801 85L801 85Q794 83 792.50 79.50Q791 76 791 65L791 65Q791 20 749.50-2Q708-24 628-24ZM628 10L628 10L668 10Q656 14 639.50 20.50Q623 27 600 39L600 39Q570 55 546 74Q522 93 511 109L511 109Q508 117 508 129L508 129Q508 139 512 147.50Q516 156 521 162L521 162Q502 172 486.50 181Q471 190 463 197L463 197Q459 202 456 209.50Q453 217 452 227L452 227Q439 223 423.50 221Q408 219 391 219L391 219Q366 219 346 224L346 224L346 259Q354 257 367.50 256Q381 255 391 255L391 255Q412 255 429 257.50Q446 260 459 267L459 267Q474 293 504 296L504 296Q499 311 499 325L499 325Q499 351 515 369.50Q531 388 562 388L562 388Q573 388 584.50 385Q596 382 608 377L608 377Q612 382 616 388Q620 394 624 401L624 401Q590 410 578 422L578 422L605 446Q610 441 629 435.50Q648 430 674 425Q700 420 725 416.50Q750 413 765 413L765 413Q785 413 801.50 426Q818 439 818 467L818 467L818 477L817 477Q817 479 809 484Q801 489 793 491L793 491Q780 495 753 503.50Q726 512 691 526L691 526Q634 549 538 549L538 549Q499 549 469.50 537Q440 525 398 491L398 491Q369 468 349 456Q329 444 311.50 440.50Q294 437 271 437L271 437Q264 437 253 437.50Q242 438 233 439L233 439Q218 413 208 370Q198 327 198 283L198 283Q198 164 233 112L233 112L301 112Q338 81 390 58Q442 35 503 22.50Q564 10 628 10ZM195 43L120 43Q96 43 79.50 66Q63 89 54 125Q45 161 41 201.50Q37 242 37 276L37 276Q37 310 41 350.50Q45 391 54.50 427Q64 463 80 486.50Q96 510 120 510L120 510L195 510Q215 510 215 486L215 486L215 484Q209 491 200 491L200 491Q179 491 165 470.50Q151 450 143.50 417.50Q136 385 132.50 347.50Q129 310 129 276L129 276Q129 242 132.50 204Q136 166 144.50 133.50Q153 101 166.50 80.50Q180 60 200 60L200 60Q209 60 215 70L215 70L215 63Q215 55 210.50 49Q206 43 195 43L195 43ZM743 337L743 337Q748 355 767 364Q786 373 808 373L808 373Q822 373 830 372.50Q838 372 845 370L845 370Q875 372 909.50 374Q944 376 973 376L973 376Q1005 376 1037 374.50Q1069 373 1085 373L1085 373Q1121 373 1134 381Q1147 389 1147 406L1147 406Q1147 425 1128.50 434.50Q1110 444 1061 451L1061 451Q1031 456 992.50 460Q954 464 916 468L916 468Q903 470 886.50 471Q870 472 853 473L853 473L853 468Q853 425 827.50 401Q802 377 767 377L767 377Q748 377 718 381Q688 385 659 392L659 392Q655 385 651 378Q647 371 642 364L642 364L643 364Q656 360 680 351.50Q704 343 743 337ZM778 222L778 222Q799 222 835 244L835 244Q852 255 856.50 260Q861 265 861 275L861 275Q861 293 857 309.50Q853 326 839 337L839 337Q834 338 829.50 338Q825 338 821 338L821 338Q793 338 782.50 327.50Q772 317 772 297L772 297Q723 302 692.50 311.50Q662 321 634 331L634 331Q615 337 596 347Q577 357 560 355L560 355Q552 354 543 348.50Q534 343 534 329L534 329Q534 323 536.50 315Q539 307 540 305L540 305Q554 294 583.50 277Q613 260 662 243L662 243Q691 233 725 227.50Q759 222 778 222ZM762 111L762 111Q785 111 801.50 120Q818 129 818 150L818 150Q818 162 815.50 173Q813 184 810 191L810 191Q798 186 783 186L783 186Q772 186 750 189Q728 192 703.50 197Q679 202 657 209L657 209Q623 220 591.50 235Q560 250 536 265L536 265Q523 270 514 270L514 270Q501 270 493 260Q485 250 485 237L485 237Q485 225 492 214L492 214Q502 207 524 195Q546 183 572.50 170.50Q599 158 621 149L621 149Q665 132 699.50 121.50Q734 111 762 111ZM724 34L724 34Q748 34 754.50 48.50Q761 63 761 74L761 74Q761 78 760 80L760 80L753 80Q712 80 675.50 94.50Q639 109 611 120L611 120Q599 125 584 132Q569 139 554 146L554 146Q544 136 542 121L542 121Q550 110 568 95.50Q586 81 606 70L606 70Q624 60 639.50 52Q655 44 674.50 39Q694 34 724 34Z'></path></svg>");
}

* {
  box-sizing: border-box;
}

html {
  background-color:#000033; 
  background-image:url(images/bg_stars.jpg); 
  background-position: bottom center;
}

body {
  background-image: url(images/bg_horizon.jpg);
  background-position: bottom center;
  background-repeat: repeat-x;
  color: var(--text);
  font-family: Georgia, serif;
  font-size: 18px;
  line-height: 1.66;
  margin: 0;
  min-height: 100dvh;
}

.main {
  max-width: 960px;
  margin: 0 auto;
  padding: 0 1rem;
}

.global-header {
  background-color: #22180c;
  background-image: url(/images/pabc_head_bar.jpg);
  background-size: cover;

  img {
    margin: 0 0 -40px 8px;
  }
}

.panel {
  background: var(--panel);
  border: 1px solid var(--line);
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.05);
  min-height: 99dvh;
  padding: 1.25rem 1.25rem 5rem;
}

h1 {
  margin-top: 0;
}

nav {
  margin-bottom: 1rem;
  display: flex;
  gap: 0.75rem;
  flex-wrap: wrap;
}

nav a,
button {
  background: var(--accent);
  border: 1px solid var(--accent);
  border-radius: .2rem;
  color: #fff;
  cursor: pointer;
  font-weight: 600;
  font: inherit;
  padding: 0.25rem 1rem;
  text-decoration: none;

  &:not([aria-current="page"]):hover,
  &:not([aria-current="page"]):focus {
    background: var(--accent-dark);
  }
}

nav .admin {
  --accent: var(--accent-red);
  background-color: #b91c1c;
  border: 1px solid var(--accent-red);

  &:hover,
  &:focus {
      --accent-dark: var(--accent-dark-red);
      background-color: #600;
  }
}

nav a[aria-current="page"] {
  --accent: var(--muted);
  cursor: default;
}

.reject {
  --accent: var(--accent-red);
  background-color: #b91c1c;
  border: 1px solid var(--accent-red);

  &:hover,
  &:focus {
      --accent-dark: var(--accent-dark-red);
      background-color: #600;
  }
}

.section {
  padding: 0 0 2rem;
}

img, canvas {
  max-width: 100%;
  height: auto;
}

figure {
  padding: 2rem;
  text-align: center;
}

table {
  width: 100%;
  border-collapse: collapse;
}

th,
td {
  text-align: left;
  border-bottom: 1px solid var(--line);
  padding: 0.6rem;
  vertical-align: top;
}

tr:has(td):hover,
tr:has(td):focus-within {
  background-color: #fff6;
}

fieldset {
  border: 1px solid #333;
  margin: 0 0 2rem;
}

legend {
  font-size: 1.5em;
  font-weight: 700;
}

label {
  display: block;
  margin: 0.8rem 0 0.5rem;
  font-weight: 600;
  &:has(input[type=checkbox]){
    display: grid;
    grid-template-columns: 2rem auto;
    gap: 1rem;
    margin: 0.8rem 0 0rem;
  }
}

input,
textarea,
select {
  width: 100%;
  border: 1px solid var(--line);
  border-radius: .25rem;
  padding: .5rem 1rem;
  margin: 0 0 2rem;
  font: inherit;
}

input[type=checkbox] {
  display: inline-block;
  height: 2rem;
  line-height: 1;
  width: 2rem;
}

#bibName {
  font-family: Anton, Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
  font-size: 3rem;
  text-transform: uppercase;
}

.runningIcon {
  background-color: #f18a00;
  border-radius: 100%;
  color: #fff;
  height: 24px;
  padding: 4px;
  width: 24px;
  line-height: 1;
  text-align: center;
  vertical-align: middle;
}

/* .accordion {
  border: 1px solid #777;
  margin: 0 0 1rem;
  padding: 1rem;
  transition: border-color 0.2s, background 0.2s, transform 0.2s;

  &[open] {
    min-height: auto;
  }

  & p {
    line-height: 1.66;
    margin: 0;
    padding: 1rem 0;
  }
}

.accordion summary {
  align-items: center;
  cursor: pointer;
  display: inline-block;
  font-family: var(--headline-font);

  &::marker {
    content: '';
    display: none;
  }

  &::before {
    display: inline-block;
    height: 2rem;
    width: 2rem;
    margin: 0 1rem 0 0;
    font-family: 'Times New Roman', Times, serif;
    content: var(--manicule);
    transform: rotate(0deg);
    transition: transform 334ms ease-in-out;
  }

  .accordion[open] &::before {
    display: inline-block;
    transform: rotate(90deg);
  }

  .accordion_title {
    display: inline-block;
    margin: 0;
  }
}

.accordion::details-content {
  transition: height 0.5s ease, content-visibility 0.5s ease allow-discrete;
  height: 0;
  overflow: clip;
}

@supports (interpolate-size: allow-keywords) {
  :root {
    interpolate-size: allow-keywords;
  }

  [open]::details-content {
    height: auto;
  }
} */

.accordion {
  border: 1px solid #777;
  margin: 0 0 1rem;
  padding: 1rem;
  transition: border-color 0.2s, background 0.2s, transform 0.2s;
}

.accordion_title {
  display: inline-block;
  margin: 0;
}

.custom {
  background-color: #3003;
  padding: 1rem;
}

label:has(input[type=checkbox]:not(:checked) ) ~ .custom {
  display: none;
}

.error {
  color: #b91c1c;
  margin: 0.5rem 0;
}

.success {
  color: #047857;
  margin: 0.5rem 0;
}

small,
.muted {
  color: var(--muted);
}

.button, form button.button {
  background: #b91c1c;
  border: 1px solid #b91c1c;
  border-radius: .2rem;
  color: #fff;
  cursor: pointer;
  display: block;
  font-weight: 600;
  font-size: 2rem;
  padding: 0.5rem 0.8rem;
  text-align: center;
  text-decoration: none;
  width: 100%;
  &:hover {
    background: #910c0c;
  }
}

.runner {
  font-size: 2rem;
  line-height: 2;
}

@media print {
  .reload {
    display: none;
  }
}

.address {
  padding: 1rem 0;
  p { margin: 0;}
}